Subject: Re: [PATCH 2/3] 'git-svndump'

From: Eric Wong <[email-masked]>
Date: Tue, 19 Jun 2007 23:40:15 -0700

Sergey Yanovich <[email-masked]> wrote:
> A git tool to keep a subversion mirror
> 
> git-svndump is essentially a wrapper around 'git-svn commit-diff'. It
> will work only when it is the sole method of committing to the
> Subversion repository.

We could probably just implement this directly in git-svn.  I'll try to
find time to take a closer look at it this weekend or the next if I
don't have time.  If you or anybody else feel comfortable doing more
work in Perl, feel free to go ahead with it.

> It is designed to export a linear git branch. However, thanks to the way
> 'git' handles source code, 'git-svndump' seems to work in other
> conditions. For example, when branches are switched or merged.
> 
> git-svndump provides a solution when you need to export your source code
> in Subversion format (who would need this with git :), but do not want
> to have all the shackles that 'git-svn init' puts on your repository.

> Signed-off-by: Sergey Yanovich <[email-masked]>
> ---
>  Documentation/git-svndump.txt |   97 ++++++++++++++++++++++++++++++++++++++++
>  Makefile                      |    1 +
>  git-svndump-init.sh           |   85 +++++++++++++++++++++++++++++++++++
>  git-svndump-sync.sh           |   98 +++++++++++++++++++++++++++++++++++++++++
>  4 files changed, 281 insertions(+), 0 deletions(-)
>  create mode 100644 Documentation/git-svndump.txt
>  create mode 100755 git-svndump-init.sh
>  create mode 100755 git-svndump-sync.sh

I'm really not excited about having even more shell scripts in git.

-- 
Eric Wong